/*----------------------------------------------------------------------------*\
**                                BDR.h
**
**  Class BDR declaration
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _BDR_h
#define _BDR_h 

#pragma ident "@(#)BDR.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include "defs.h"
#include "sys.h"
#include "science.h"
#ifdef DEBUG
#include "debug.h"
#endif


/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/

#define	BDR_SCIENCE_STAT_SIZE	(SCIENCE_STAT_SIZE)

#define	BDR_DATA_ENTRY_SIZE	(SCIENCE_DATA_ENTRY_SIZE)


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  class BDR
\*============================================================================*/
typedef struct OrigBandRecord {
    short Flag;
    short CalibrationIndx;
    short KeyDataCalibrationIndx;
    GOME_Word_t IntgTime;
} OrigBandRecord_s;


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/
FunctionStatus_e
BDR__read(OrigBandRecord_s* self, FILE* Stream, long BDR_Rec_Size,
	  GOME_Word_t *BandData, short BandSize, Bool convert_sun_2_host);


/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif
 
