/*----------------------------------------------------------------------------*\
**                                CalibrationFilter.h
**
**  Class ... declaration
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _CalibrationFilter_h
#define _CalibrationFilter_h

#pragma ident "@(#)CalibrationFilter.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include "defs.h"
#include "filter.h"


/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/
typedef enum 
{
    CAL_IRR = 0,
    CAL_RAD,
    CAL_IRR_BSDF,
    CAL_IRR_INTENS,
    CAL_IRR_INTENS_BSDF,
    CAL_RAD_POL,
    CAL_RAD_INTENS,
    CAL_RAD_POL_INTENS,
    CAL_UNDEF
} CalibrationType_e;


/*============================================================================*\
**  class ...
\*============================================================================*/


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/
CalibrationType_e
CalibrationTypeGet(const ProductType_e ProductType,
		   const Bool calibrationFilter[CALIBRATION_DEFINED]);


/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif
 
