/*----------------------------------------------------------------------------*\
**                                Coordinate.h
**
**  Class Coordinate declaration
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _Coordinate_h
#define _Coordinate_h

#pragma ident "@(#)Coordinate.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include "defs.h"


/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/

#define	COORDINATE_SIZE	(2 * FLOAT_SIZE)


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  class ...
\*============================================================================*/
typedef struct Coordinate {
	float Latitude;
	float Longitude;
} Coordinate_s;


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------*\
**  Calculate the center coordinate
\*----------------------------------------------------------------------------*/
FunctionStatus_e
CalculateCentralCoords(const Coordinate_s Coord[], int N_Coords, 
		       float* CentralLat, float* CentralLong);


/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif
 
