/*----------------------------------------------------------------------------*\
**                                dataconv.h
**
**  Class ... declaration
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _Convert_h
#define _Convert_h 

#pragma ident "@(#)dataconv.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**	Function to calculate a short value from SUN short representation into
**	format of the running system
\*----------------------------------------------------------------------------*/
short
SunShort2Short( const unsigned char* buffer);

/*----------------------------------------------------------------------------*\
**	Function to calculate a short value to Sun long representation
\*----------------------------------------------------------------------------*/
short
Short2SunShort( unsigned short S_Value);

/*----------------------------------------------------------------------------*\
**	Function to calculate a short value from DEC short representation into
**	format of the running system
\*----------------------------------------------------------------------------*/
short
DecShort2Short( const unsigned char* buffer);

/*----------------------------------------------------------------------------*\
**	Function to calculate a short value to DEC long representation
\*----------------------------------------------------------------------------*/
short
Short2DecShort( unsigned short S_Value);

/*----------------------------------------------------------------------------*\
**	Function to calculate a long value from SUN long representation into
**	format of the running system
\*----------------------------------------------------------------------------*/
long
SunLong2Long( const unsigned char* buffer);

/*----------------------------------------------------------------------------*\
**	Function to calculate a long value to Sun long representation
\*----------------------------------------------------------------------------*/
long
Long2SunLong( unsigned long L_Value);

/*----------------------------------------------------------------------------*\
**	Function to calculate a long value from DEC long representation into
**	format of the running system
\*----------------------------------------------------------------------------*/
long
DecLong2Long( const unsigned char* buffer);

/*----------------------------------------------------------------------------*\
**	Function to calculate a long value to DEC long representation
\*----------------------------------------------------------------------------*/
long
Long2DecLong( unsigned long L_Value);

/*----------------------------------------------------------------------------*\
**	Function to calculate a float value from SUN float representation into
**	format of the running system
\*----------------------------------------------------------------------------*/
float
SunFloat2Float( const unsigned char* buffer);

/*----------------------------------------------------------------------------*\
**	Function to calculate a double value from SUN double representation into
**	format of the running system
\*----------------------------------------------------------------------------*/
double
SunDouble2Double( const unsigned char* buffer);


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif
