/*----------------------------------------------------------------------------*\
**									defs.h
**
**	GDP Level 0 to 1: Global definitions file
** 
**      Version:    5.3
**      Date:       03/13/01
**	Author:		Diego Loyola, DLR/WT-DA-BS
\*----------------------------------------------------------------------------*/
#ifndef _defs_h
#define _defs_h 1

#pragma ident "@(#)defs.h	5.3 03/13/01, Copyright DLR 1994"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include <stdio.h>
#include "version.h"


/*------------------------------------------------------------------------*\
**  Boolean type
\*------------------------------------------------------------------------*/
#ifndef _Bool
#define _Bool 1 
typedef enum 
{
	False = 0,
	True
} Bool;
#endif


/*----------------------------------------------------------------------------*\
**	Define TYPEDEFs
\*----------------------------------------------------------------------------*/
typedef unsigned char Byte_t;
typedef unsigned short GOME_Word_t;
typedef unsigned long Time_t;


/*----------------------------------------------------------------------------*\
**	Define CONSTs
\*----------------------------------------------------------------------------*/

#define	SHORT_SIZE	(2)

#define	LONG_SIZE	(4)

#define	FLOAT_SIZE	(4)

#define	DOUBLE_SIZE	(8)


#define	ANGLES_DEFINED	(3)

#define	ATTITUDE_SIZE	(3)

#define	AUXILIARY_DATA_SIZE	(198)

#define	DETECTOR_PIXELS	(1024)

#define	BAND_DEFINED	(6)

#define	STRAYLIGHT_DEFINED	(3)

#define	OPTICAL_CHANNELS	(4)

#define	CHI_ANGLES	(9)

#define	GROUND_CORNERS_DEFINED	(5)

#define	GROUND_PIXEL_TIME	(1.5)

#define	INTG_TIME_CONV_FACTOR	(0.09375)

#define	KEPLER_STATE_SIZE	(6)

#define	LEVEL_1_PRODUCT_VERSION_SIZE	(5)

#define	MPH_L1_SIZE	(34)

#define	ACQUISITION_FACILITY_LENGTH	(3)

#define	AKIMA_EXTRA_POINTS	(4)

#define	DP_DEFINED	(7)

#define	ENTRANCE_TILT	(21.5)

#define	F2_TEMPERATURES	(5)

#define	GDP_PROCESSING_UMASK	(0)

#define	INVALID_FRAC_POL	(99.99)

#define	INVALID_INDEX	(-1)

#define	MAX_FILENAME_LENGTH	(256)

#define	MAX_KSI_PMD_VALUES	(135)

#define	MINIMUM_SCAN_POSITION	(1e-3)

#define	OVERLAPPING_REGIONS	(3)

#define	REVISION_LENGTH	(3)

#define	SCAN_SIZE	(16)

#define	SENSOR_MODE_LENGTH	(2)

#define	VERSION_LENGTH	(6)

#define	ZERO_AZIMUTH	(360.0 - ENTRANCE_TILT)

#define	VERSION_STRING_FORMAT	("%-5.5s")


#define	SWAB_SCIENCE_DATA	(False)

#define	CONVERT_SUN_2_HOST	(True)



/*----------------------------------------------------------------------------*\
**  Define ENUMs together with functions for them
\*----------------------------------------------------------------------------*/
typedef enum 
{
    PR_EARTHSHINE = 0,
    PR_SUNSHINE,
    PR_MOONSHINE,
    PR_INFO,
    PR_INFO_GEOLOCATION,
    PR_INFO_QA,
    PR_OTHER
} ProductType_e;


typedef enum 
{
        FORWARD_1 = 0,
        FORWARD_2,
        FORWARD_3,
        BACKWARD
} SubsetCounter_e;


typedef enum 
{
	LEVEL_0_TO_1,
	LEVEL_1_TO_2,
	VENI
} GDP_Level_e;


typedef enum 
{
	PMD_1 = 0,
	PMD_2,
	PMD_3
} PMD_Number_e;

#define	PMD_DEFINED	(3)

#define	PMD_SIZE	(16)


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif
