/*----------------------------------------------------------------------------*\
**                                %M%
**
**  Class DP_History declaration
** 
**  Version:    %I%
**  Date:       %G%
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _DP_History_h
#define _DP_History_h

#include "utc.h"

/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/
typedef enum 
{
    DP_SCANNING = 0,
    DP_SUN,
    DP_LAMP,
    DP_LED,
    DP_DARK,
    DP_MOON,
    DP_OTHER,
    DP_UNDEFINED
} DataPackage_e;


/*============================================================================*\
**  class DP_History
\*============================================================================*/
typedef struct DP_History {
    UTC_s Date;
    DataPackage_e Type;
} DP_History_s;


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/
const char*
DataPackage2Str(DataPackage_e Enum);


/*============================================================================*\
**  private operations
\*============================================================================*/


#endif
 
