/*----------------------------------------------------------------------------*\
**                                DR.h
**
**  Class DR declaration (DR describes a Spectrum)
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _DR_h
#define _DR_h 

#pragma ident "@(#)DR.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif

#include "defs.h"
#include "config.h"
#include "fsr1.h"
#include "fcd.h"
#include "pixelpar.h"
#include "bdr.h"
#include "bandcord.h"

/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/

#define	REFLECTIVITY_JUMP_NO_CHECK	(0)

#define	UNKNOWN_ERROR_VAL	(-1.0)


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  class DR
\*============================================================================*/
typedef struct DR {
    int Current_PCD;
    float StartWavelength;
    float EndWavelength;
    int ReflectivityJump[SCIENCE_DATA_DEFINED];
    short PMD_Flag[PMD_DEFINED];
    OrigBandRecord_s OrigBandRecord[SCIENCE_DATA_DEFINED];
    BandRecord_s BandRecord[SCIENCE_DATA_DEFINED];
    Bool ScienceDataAvail[SCIENCE_DATA_DEFINED];
    float Radiance[OPTICAL_CHANNELS][ DETECTOR_PIXELS];
    float AbsErrorRad[OPTICAL_CHANNELS][ DETECTOR_PIXELS];
    float RelErrorRad[OPTICAL_CHANNELS][ DETECTOR_PIXELS];
    short Flag[OPTICAL_CHANNELS][ DETECTOR_PIXELS];
} DR_s;


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/
FunctionStatus_e
DR__Init(DR_s *DR);

FunctionStatus_e
GetBandDataLevel_1_Product(const Config_s* Config, const FSR1_s* FSR1,
			   const FCD_s* FCD, ProductType_e ProductType, 
			   ScienceData_e Band, const PixelPar_s* PixelPar,
			   DR_s* Spectrum, float CorFactor,
			   Bool CONVERT_SUN_2_HOST);


/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif
 
