/*----------------------------------------------------------------------------*\
**                                DSR_REC_NO.c
**
**  Description:
** 
**  Version:    5.1
**  Date:       02/26/99
**  Contents:
**      This file contains the following functions and methods:
\*----------------------------------------------------------------------------*/
#pragma ident "@(#)DSR_REC_NO.c	5.1 02/26/99, Copyright DLR 1998"

#include "dsr_c_no.h"
#include "log.h"
#include "dataconv.h"


#define	SccsId	("@(#)DSR_REC_NO.c 5.1 02/26/99, Copyright DLR 1998")


#define	SS_ID	("DSR_REC_NO")


/*============================================================================*\
**  public operations
\*============================================================================*/

/*----------------------------------------------------------------------------*\
**                            DSR_REC_NO__write
**  Input parameters:
**    Stream		file stream for output
**    DSR_REC_NO	DSR_REC_NO of Level 0 file
**
**  Output parameters:
**
**  Other interfaces:
**
**  Description:
**    This function writes the DSR_REC_NO into the Level 0 file
**
**  References:
**    This function is described in the Module ...
**  Libraries:
**    ....
**  Created:	6.6.95
**  Author:		Meinhard Wolfmueller, DLR/WT-DA-SE
\*----------------------------------------------------------------------------*/
FunctionStatus_e
DSR_REC_NO__write( FILE *Stream, const char DSR_REC_NO[ DSR_REC_NO_SIZE])
{
    FunctionStatus_e	Stat		= SUCCESS;
    long			NrOfBytes	= 0;

    /*------------------------------------------------------------------------*\
    ** write the DSR_REC_NO of the current file
    \*------------------------------------------------------------------------*/
    NrOfBytes = fwrite( DSR_REC_NO, 1, DSR_REC_NO_SIZE, Stream);
    if (NrOfBytes != DSR_REC_NO_SIZE)
	{
	    Stat = FATAL;
	    Log__Msg( LOG_LEVEL_0_TO_1, SS_ID, "4.1__377", Stat, LOG_CANNOT_WRITE,
		      "DSR_REC_NO", "");
	}

    return Stat;
}


/*----------------------------------------------------------------------------*\
**                            DSR_REC_NO__Read
**  Input parameters:
**    Stream		file stream for output
**
**  Output parameters:
**    DSR_REC_NO	DSR_REC_NO of Level 0 file
**
**  Other interfaces:
**
**  Description:
**    This function reads the DSR_REC_NO from the Level 0 file
**
**  References:
**    This function is described in the Module ...
**  Libraries:
**    ....
**  Created:	6.6.95
**  Author:		Meinhard Wolfmueller, DLR/WT-DA-SE
\*----------------------------------------------------------------------------*/
FunctionStatus_e
DSR_REC_NO__read(char DSR_REC_NO[ DSR_REC_NO_SIZE], FILE *Stream)
{
    FunctionStatus_e Status = SUCCESS;
    long NrOfBytes = 0;

    /*------------------------------------------------------------------------*\
    ** read the DSR_REC_NO of the current file
    \*------------------------------------------------------------------------*/
    NrOfBytes = fread(DSR_REC_NO, 1, DSR_REC_NO_SIZE, Stream);
    if (NrOfBytes != DSR_REC_NO_SIZE)
    {
	Status = FATAL;
	Log__Msg( LOG_LEVEL_0_TO_1, SS_ID, "4.1__417", Status, LOG_CANNOT_READ,
		  "DSR_REC_NO", "");
	return Status;
    }

    return Status;
}


/*----------------------------------------------------------------------------*\
**                            DSR_REC_NO__extract
**  Input parameters:
**    Stream		file stream for output
**
**  Output parameters:
**    DSR_REC_NO	DSR_REC_NO of Level 0 file
**
**  Other interfaces:
**
**  Description:
**    This function extracts the DSR_REC_NO from the DSR_REC_NO field in DEC
**    format
**
**  References:
**    This function is described in the Module ...
**  Libraries:
**    ....
**  Created:	6.6.95
**  Author:		Meinhard Wolfmueller, DLR/WT-DA-SE
\*----------------------------------------------------------------------------*/
void
DSR_REC_NO__extract(char DSR_REC_NO[DSR_REC_NO_SIZE], long* NoOf_DSR)
{
    *NoOf_DSR = DecLong2Long( (unsigned char*)DSR_REC_NO);
}


/*============================================================================*\
**  private operations
\*============================================================================*/


