/*----------------------------------------------------------------------------*\
**                                EngConversion.h
**
**  Class EngConversion declaration
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _EngConversion_h
#define _EngConversion_h

#pragma ident "@(#)EngConversion.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include "defs.h"
#include "sys.h"


/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/

#define	ENG_CONV_COEFF_DEFINED	(2)

#define	ENG_CONVERSION_SIZE	(ENG_CONV_COEFF_DEFINED * FLOAT_SIZE)


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  class EngConversion
\*============================================================================*/
typedef struct EngConversion {
    float Coefficient[ENG_CONV_COEFF_DEFINED];
    /* Linear coefficients */
} EngConversion_s;


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/
FunctionStatus_e
EngConversion__read(EngConversion_s* self, FILE* file_ptr, 
		    Bool convert_sun_2_host);
FunctionStatus_e
EngConversion__Write(FILE* Stream, const EngConversion_s* EngConversion);

void
EngConversion__Show(FILE* Stream, const EngConversion_s* EngConversion);



/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif

