/*----------------------------------------------------------------------------*\
**                                File.h
**
**  Class File declaration
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _File_h
#define _File_h

#pragma ident "@(#)File.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include "defs.h"
#include "sys.h"


/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  class File
\*============================================================================*/


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------*\
**	Function to check if there is more data in the file
\*----------------------------------------------------------------------------*/
Bool
File__moreData(FILE* self);

/*----------------------------------------------------------------------------*\
**	Function to get the size in bytes of a file
\*----------------------------------------------------------------------------*/
FunctionStatus_e
File__getSize(FILE* self, long* filesize_ptr);

/*----------------------------------------------------------------------------*\
**	Returns true if the string is found. The filepointer is on the
**	beginning of the next line.
\*----------------------------------------------------------------------------*/
FunctionStatus_e
File__findString(FILE* self, const char *string_ptr);

/*----------------------------------------------------------------------------*\
**	Reads the current file until end of line, or EOF, or error. If
**	If end of line is detected the function returns with success.
**	Otherwise ERROR is returned.
\*----------------------------------------------------------------------------*/
FunctionStatus_e
File__readUntilNextLine(FILE* self);

/*----------------------------------------------------------------------------*\
**	Reads a maximum of array_length values into the array_ptr. Reading is 
**	stopped if EOF or not an unsigned short detected.
\*----------------------------------------------------------------------------*/
FunctionStatus_e
File__readArrayUnsignedShort(FILE* self, int array_length, 
			     int* returned_array_length_ptr,
			     unsigned short* array_ptr);

/*----------------------------------------------------------------------------*\
**	Reads a maximum of array_length values into the array_ptr. Reading is 
**	stopped if EOF or not an short is detected.
\*----------------------------------------------------------------------------*/
FunctionStatus_e
File__readArrayShort(FILE* self, int array_length, 
		     int* returned_array_length_ptr, short* array_ptr);

/*----------------------------------------------------------------------------*\
**	Reads a maximum of ArrayLeng values into the Array. Reading is 
**	stopped if EOF or not an unsigned long is detected.
\*----------------------------------------------------------------------------*/
FunctionStatus_e
File__readArrayUnsignedLong(FILE* self, int array_length, 
			     int* returned_array_length_ptr,
			    unsigned long* array_ptr);

/*----------------------------------------------------------------------------*\
**	Reads a maximum of ArrayLeng values into the Array. Reading is 
**	stopped if EOF or not a long is detected.
\*----------------------------------------------------------------------------*/
FunctionStatus_e
File__readArrayLong(FILE* self, int array_length, 
		    int* returned_array_length_ptr, long* array_ptr);

/*----------------------------------------------------------------------------*\
**	Reads a maximum of ArrayLeng values into the Array. Reading is 
**	stopped if EOF or not a float value is detected.
\*----------------------------------------------------------------------------*/
FunctionStatus_e
File__ReadArrayFloat(FILE* self, int array_length, 
		     int* returned_array_length_ptr, float* array_ptr);


/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif
 
