/*----------------------------------------------------------------------------*\
**                                FixedC.h
**
**  Class Fixed declaration
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _Fixed_h
#define _Fixed_h 

#pragma ident "@(#)FixedC.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include "defs.h"
#include "sys.h"
#include "sciedata.h"


/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/

#define	FIXED_SIZE	(OPTICAL_CHANNELS * DETECTOR_PIXELS * FLOAT_SIZE)


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  class Fixed
\*============================================================================*/
typedef struct FixedC {
    float Pattern[OPTICAL_CHANNELS][DETECTOR_PIXELS];
    /* Pixel-to-Pixel Gain */
} FixedC_s;


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/
FixedC_s*
FixedC__New(FILE *Stream, FunctionStatus_e *Status);


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/
void 
FixedC__Delete(FixedC_s *Self);


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/
void 
FixedC__Apply(const FixedC_s *Self, ScienceData_e Band, float Reticon[],
	     short Begin, short End, const char *PixelDate);

FunctionStatus_e
FixedC__read(FixedC_s* self, FILE* Stream, Bool convert_sun_2_host);

void
FixedC__show(const FixedC_s* self, FILE* Stream);


/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif

