/*----------------------------------------------------------------------------*\
**                                FSR1.h
**
**  Class FSR1 declaration
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _FSR1_h
#define _FSR1_h 

#pragma ident "@(#)FSR1.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include "defs.h"
#include "sys.h"
#include "sciedata.h"


/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/
/* static const short FSR1_SIZE = 96; */

#define	FSR1_NUMBER_ENTRY_SIZE	(SHORT_SIZE)

#define	FSR1_SIZE_ENTRY_SIZE	(LONG_SIZE)

#define	FSR1_SIZE	(FSR1_NUMBER_ENTRY_SIZE + FSR1_SIZE_ENTRY_SIZE+ FSR1_NUMBER_ENTRY_SIZE + FSR1_SIZE_ENTRY_SIZE + FSR1_NUMBER_ENTRY_SIZE + FSR1_SIZE_ENTRY_SIZE + FSR1_NUMBER_ENTRY_SIZE + FSR1_SIZE_ENTRY_SIZE + FSR1_NUMBER_ENTRY_SIZE + FSR1_SIZE_ENTRY_SIZE + FSR1_NUMBER_ENTRY_SIZE + FSR1_SIZE_ENTRY_SIZE + (FSR1_NUMBER_ENTRY_SIZE * SCIENCE_DATA_DEFINED) + (FSR1_SIZE_ENTRY_SIZE * SCIENCE_DATA_DEFINED))


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  class FSR1
\*============================================================================*/
typedef struct FSR1 {
    short NoOfHeaderRec;
    long HeaderRecLeng;
    short NoOf_FCD_Rec;
    long FCD_Size;
    short NoOf_PCD_Rec;
    long PCD_Size;
    short NoOf_SCD_Rec;
    long SCD_Size;
    short NoOf_MCD_Rec;
    long MCD_Size;
    short NoOf_Spare_Rec;
    long Spare_Size;
    short NoOfBDR_Rec[ SCIENCE_DATA_DEFINED];
    long BDR_Rec_Size[ SCIENCE_DATA_DEFINED];
} FSR1_s;


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/
void
FSR1__GetFilePos(const FSR1_s* self, long *FilePosPCD, long *FilePosSCD,
		 long *FilePosMCD, long *FilePosSD);

FunctionStatus_e
FSR1__read(FSR1_s* self, FILE* file_ptr, Bool convert_sun_2_host);

FunctionStatus_e
FSR1__write(const FSR1_s* self, FILE* Stream);

void
FSR1__show(const FSR1_s* self, FILE* Stream);



/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif
 
