/*----------------------------------------------------------------------------*\
**                                GO_IntegrStatus.h
**
**  Class GO_IntegrStatus declaration
**  Gome integration status definitions.
**  (redundant declaration to bitfield definition ScienceDataBit_s in
**  RawDataPackageDefs.h !!!!)
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _GO_IntegrStatus_h
#define _GO_IntegrStatus_h

#pragma ident "@(#)GO_IntegrStatus.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include "intginfo.h"
#include "sciedata.h"


/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  class GO_IntegrStatus
\*============================================================================*/
typedef struct GO_IntegrStatus {
    short FPA4_Division;	/* :1 */
    short FPA3_Division;	/* :2 */
    short FPA2_Division;	/* :1 */
    IntegrationStatus_e BandStat[BAND_DEFINED]; /* :2 */
} GO_IntegrStatus_s;


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------*\
**  raw data package access functions
\*----------------------------------------------------------------------------*/
short
GetAverageFactor(const ScienceData_e Band, const Bool AverageMode,
		 const GO_IntegrStatus_s IntegrStatus);


/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif
 

