/*----------------------------------------------------------------------------*\
**                                GO_IntegrStatusBit.h
**
**  Class GO_IntegrStatusBit declaration
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _GO_IntegrStatusBit_h
#define _GO_IntegrStatusBit_h

#pragma ident "@(#)GO_IntegrStatusBit.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif

/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------*\
** mask to get the average mode bit from the integration status. Used only
** in the extraction software. (redundant declaration to bitfield definition
** ScienceDataBit_s in RawDataPackageDefs.h !!!!)
\*----------------------------------------------------------------------------*/

#define	FPA4_DIVISION_MASK	(0x8000)

#define	FPA4_DIVISION_FAC	(0x8000)

#define	FPA3_DIVISION_MASK	(0x6000)

#define	FPA3_DIVISION_FAC	(0x2000)

#define	FPA2_DIVISION_MASK	(0x1000)

#define	FPA2_DIVISION_FAC	(0x1000)

#define	AVERAGE_MODE_MASK	(0x0040)

#define	FOUR_READOUTS_MASK	(0x0400)


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  class GO_IntegrStatusBit
\*============================================================================*/
typedef struct GO_IntegrStatusBit {
    int GO_IntegrStatus_FPA4_Div:1;
    int GO_IntegrStatus_FPA3_Div:2;
    int GO_IntegrStatus_FPA2_Div:1;

    int GO_IntegrStatusBandStat_1:2;
    int GO_IntegrStatusBandStat_2:2;
    int GO_IntegrStatusBandStat_3:2;
    int GO_IntegrStatusBandStat_4:2;
    int GO_IntegrStatusBandStat_5:2;
    int GO_IntegrStatusBandStat_6:2;
} GO_IntegrStatusBit_s;


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  Other operations 
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif
 
