/*----------------------------------------------------------------------------*\
**                                HotPixelC.h
**
**  Class HotPixel declaration
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _HotPixel_h
#define _HotPixel_h

#pragma ident "@(#)HotPixelC.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include "defs.h"
#include "sys.h"


/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/

#define	HOT_PIXEL_DARK_NOISE	(3.5)

#define	HOT_PIXEL_DETECTOR_VALUE	(1e6)

#define	HOT_PIXEL_RANGE_FACTOR	(5.0)

#define	HOT_PIXEL_SIZE	(3 * SHORT_SIZE)


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  class HotPixel
\*============================================================================*/
typedef struct HotPixelC {
    short Record;		/* Band identifier (1A,...,4) */
    short Array;		/* Band sequence number */
    short Pixel;		/* Pixel number */
} HotPixelC_s;


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/
HotPixelC_s*
HotPixelC__New(FILE *Stream, FunctionStatus_e *Status);


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/
void 
HotPixelC__Delete(HotPixelC_s *Self);


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/
FunctionStatus_e
HotPixelC__read(HotPixelC_s* self, FILE* Stream,
	       Bool CONVERT_SUN_2_HOST);

void
HotPixelC__show(const HotPixelC_s* self, FILE* Stream);


/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif

