/*----------------------------------------------------------------------------*\
**                                InternalPackageHeader.h
**
**  Class InternalPckHeader (header of the internal data package 
**  representation) declaration
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _InternalPckHeader_h
#define _InternalPckHeader_h

#pragma ident "@(#)InternalPackageHeader.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include "defs.h"
#include "mph.h"
#include "sph.h"


/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/

#define	INTERNAL_PCK_HEADER_SIZE	(MPH_6_SIZE + MPH_7_SIZE + MPH_16_SIZE + SPH_5_SIZE + SPH_6_SIZE + 1 + sizeof( UTC_s))


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  class ...
\*============================================================================*/
typedef struct InternalPckHeader {
    char MPH_6_7_16[MPH_6_SIZE + MPH_7_SIZE + MPH_16_SIZE];
    char SPH_5_6[SPH_5_SIZE + SPH_6_SIZE];
    char spare;
    UTC_s UTC_Pck;
} InternalPckHeader_s;


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/
FunctionStatus_e
WriteInternalPckHeader(FILE* Stream,
		       const InternalPckHeader_s* InternalPckHeader);

FunctionStatus_e
ReadInternalPckHeader(FILE* Stream,
		      InternalPckHeader_s* InternalPckHeader);

void
InternalPckHeader2DecFormat(InternalPckHeader_s* InternalPckHeader,
			    InternalPckHeader_s* OrigInternalPckHeader);

void
InternalPckHeaderFromDecFormat(InternalPckHeader_s* OrigInternalPckHeader,
			       InternalPckHeader_s* InternalPckHeader);

void
ShowInternalPckHeader(FILE* Stream, InternalPckHeader_s InternalPckHeader);




/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif
 
