/*----------------------------------------------------------------------------*\
**                                KeyDataCalibrationL1.h
**
**  Class KeyDataCalibrationL1 declaration
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _KeyDataCalibrationL1_h
#define _KeyDataCalibrationL1_h

#pragma ident "@(#)KeyDataCalibrationL1.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include "defs.h"
#include "sys.h"


/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  class ...
\*============================================================================*/
typedef struct KeyDataCalibrationL1 {
    float Eta_Omega[DETECTOR_PIXELS];
				/* Polarization sensitivity ration of one 
				   channel Eta_Omega = Eta_Nadir * Chi(Omega) */
    float RadianceResponse_Omega[DETECTOR_PIXELS];
				/* Radiance Response of one channel at a mean
				   temperature */
} KeyDataCalibrationL1_s;


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/
FunctionStatus_e
KeyDataCalibrationL1__read(KeyDataCalibrationL1_s* self, FILE* Stream,
			   Bool convert_sun_2_host);

void
KeyDataCalibrationL1__show(const KeyDataCalibrationL1_s* self, FILE* Stream);

void
KeyDataCalibrationL1__Sun2Host( KeyDataCalibrationL1_s *Param);


/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif
 
