/*----------------------------------------------------------------------------*\
**                                Level_1_Product.h
**
**  Class Level_1_Product declaration
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _Level_1_Product_h
#define _Level_1_Product_h

#pragma ident "@(#)Level_1_Product.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include "sys.h"
#include "fsr1.h"
#include "sph1.h"
#include "fcd.h"


/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  class Level_1_Product
\*============================================================================*/
typedef struct Level_1_Product {
    char PIR[PIR_SIZE];		/* product_information_record */
    FSR1_s FSR1;		/* file_structure_record_level_1 */
    SPH1_s SPH1;		/* specific_product_header_level_1 */
    FCD_s FCD;			/* fixed_calibration_record */
} Level_1_Product_s;


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/
Level_1_Product_s*
Level_1_Product__new();


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/
void
Level_1_Product__delete(Level_1_Product_s* self);


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/
FunctionStatus_e
Level_1_Product__showExtractInfo(const Level_1_Product_s* self, FILE* Stream,
				 FILE* InputStream,
				 Bool convert_sun_2_host);

FunctionStatus_e
Level_1_Product__readStatic(Level_1_Product_s* self, FILE* file_ptr,
			    Bool convert_sun_2_host);


/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif

