/*----------------------------------------------------------------------------*\
**                                  log.h
**
**  GDP Level 0 to 1: Log declaration file
**
**  Version:	5.1
**  Date:       02/26/99
**  Author:     Diego Loyola, DLR/WT-DA-BS
\*----------------------------------------------------------------------------*/
#ifndef _log_h
#define _log_h 

#pragma ident "@(#)log.h	5.1 02/26/99, Copyright DLR 1994"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include "defs.h"
#include "sys.h"



#define	LOG_FIELD_SIZE	(256)
/* Maximum size of the Description and 					    Action fields */

#define	LOG_SUBFIELD_SIZE	(32)
/* Maximum size of the remaining 					      fields */

typedef enum { 
	LOG_LEVEL_0_TO_1 = 0,
	LOG_TAPE_GENERATOR,
	LOG_EXTRACT_DATA,
	LOG_BDDN_INTERFACE
} Log_System_e;

typedef enum { 
	LOG_NUM = 0,
	LOG_PROGRAM_ERROR,
	LOG_PROBLEMS,
	LOG_CANNOT_OPEN,
	LOG_CANNOT_FIND,
	LOG_CANNOT_READ,
	LOG_CANNOT_WRITE,
	LOG_CANNOT_RENAME,
	LOG_CANNOT_REMOVE,
	LOG_CANNOT_REOPEN,
	LOG_CANNOT_CLOSE,
	LOG_CANNOT_CALCULATE,
	LOG_CANNOT_ALLOCATE,
	LOG_CANNOT_GENERATE,
	LOG_NUMRECIP,
	LOG_INVALID,
	LOG_INCONSISTENT,
	LOG_RANGE_CHECK_ERROR,
	LOG_SEQUENCE_ERROR,
	LOG_UNKNOWN
} Log_e;

Bool
Log__Open(const char* LogFile, Bool Write);

void
Log__Msg(Log_System_e System, const char* Subsystem, char* ErrorNumber,
	FunctionStatus_e Severity, Log_e Number, const char* Description,
	const char* Action);

void
Log__Info(Log_System_e System, const char* Subsystem, char* ErrorNumber,
	const char* Description);

Bool
Log__Read(char *Date, char *Hostname, long *Pid, char *System,
	  char *Subsystem, char *ErrorNumber, char *Severity, char *Description,
	  char *Action);

Bool 
Log__Close();


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif
