/*----------------------------------------------------------------------------*\
**                                P7_Geometry.h
**
**  Class P7_Geometry declaration
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _P7_Geometry_h
#define _P7_Geometry_h

#pragma ident "@(#)P7_Geometry.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include "defs.h"


/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  class P7_Geometry
\*============================================================================*/
typedef struct P7_Geometry {
    float IntgTime;		/* Integration Time */
    float Theta[ANGLES_DEFINED]; /* Line of Sight Zenith Angles */
    float Theta_0[ANGLES_DEFINED]; /* Solar Zenith Angles */
    float Phi_Phi_0[ANGLES_DEFINED]; /* Difference between Line of Sight and
					Solar Azimuth Angles */
    Bool Twilight[ANGLES_DEFINED]; /* Twilight Flag */
    FunctionStatus_e Status[ANGLES_DEFINED]; /* Geolocation Status */
} P7_Geometry_s;


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif
 
