/*----------------------------------------------------------------------------*\
**                                PixelPar.h
**
**  Class PixelPar declaration
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _PixelPar_h
#define _PixelPar_h

#pragma ident "@(#)PixelPar.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include "defs.h"
#include "auxiypar.h"
#include "specific.h"
#include "sph1.h"


/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  class PixelPar
\*============================================================================*/
typedef struct PixelPar {
    int MeasurementPixel;
    UTC_s Date;
    float DarkCurrentCorFactor;
    float DarkCurrentNoiseCorFactor;
    short ScienceIndex[ SCIENCE_DATA_DEFINED];
    short IndexSpectralCalPar;
    short IndexLeakagePar;
    AuxiliaryPar_s AuxiliaryPar;
    Specific_u Specific;
} PixelPar_s;


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/

void
PixelPar__show(const PixelPar_s* self, FILE* Stream, ProductType_e ProductType,
	       Bool FullInfo);

FunctionStatus_e
PixelPar__Get(FILE* Stream, long FilePosPCD, long PCD_Size, const SPH1_s *SPH1,
	      ProductType_e ProductType, int MeasurementPixel,
	      PixelPar_s *PixelPar, Bool CONVERT_SUN_2_HOST);

/*----------------------------------------------------------------------------*\
**    Function to check time gap between two subsequent ground pixels 
\*----------------------------------------------------------------------------*/
FunctionStatus_e 
CheckGap(const char *ASCII_Date_prev, const char *ASCII_Date_cur);

FunctionStatus_e
WriteSpectrumParameterSplit(FILE *Stream, ProductType_e ProductType,
			    const PixelPar_s *PixelPar, int Nband);

FunctionStatus_e
WriteSpectrumParameter( FILE *Stream, ProductType_e ProductType,
			const PixelPar_s *PixelPar, int Nband,
			const short PMD_Flag[ PMD_DEFINED]);


/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif
 
