/*----------------------------------------------------------------------------*\
**                                PixelIndex.h
**
**  Class PixelIndex declaration
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _PixelIndex_h
#define _PixelIndex_h

#pragma ident "@(#)PixelIndex.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include "defs.h"
#include "sys.h"
#include "sciedata.h"


/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  class PixelIndex
\*============================================================================*/
typedef struct PixelIndex {
    short First;
    short Last;
} PixelIndex_s;


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/
FunctionStatus_e
PixelIndex__initialize(PixelIndex_s PixelIndex[SCIENCE_DATA_DEFINED],
		       short N1, short N2, short Channel[OPTICAL_CHANNELS * 2],
		       short Blind[ 2], 
		       short Straylight[STRAYLIGHT_DEFINED * 2]);

FunctionStatus_e
PixelIndex__update(PixelIndex_s *PixelIndex, short N1, short N2);

void
PixelIndex__show(PixelIndex_s *PixelIndex, FILE *Stream);


/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif
 
