/*----------------------------------------------------------------------------*\
**                                QA.h
**
**  Class QA declaration
** 
**  Version:    5.2
**  Date:       05/04/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _QA_h
#define _QA_h 

#pragma ident "@(#)QA.h	5.2 05/04/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include "config.h"
#include "fcd.h"
#include "sdr.h"
#include "edr.h"


/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/

#define	QA_ExtractFileExt	("qa1")


#define	QA_PixelNumber	(600)
/* These values are default values */ 
#define	QA_MeanNumber	(10)
/* for quality assurance, if not */ 
#define	QA_increment	(41)
/* specified by commandline options */ 

/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  class QA
\*============================================================================*/


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/
void
QA__WriteSpectral(FILE* Stream, const FCD_s* Param);

FunctionStatus_e
QA__WriteSun(const Config_s* Config, const FCD_s* FCD, const SDR_s* SDR,
	     float SolarGrid[OPTICAL_CHANNELS][DETECTOR_PIXELS]);

FunctionStatus_e
QA__writeLeakage(Config_s* Config, const EDR_s* EDR, 
		 const FCD_s* FCD);

FunctionStatus_e
QA__writeEDR(const Config_s* Config, const EDR_s* EDR);


/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif
 
