/*----------------------------------------------------------------------------*\
**                                Reflectivity.h
**
**  Class Reflectivity declaration
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _Reflectivity_h
#define _Reflectivity_h

#pragma ident "@(#)Reflectivity.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include "defs.h"
#include "sys.h"


/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/

#define	JUMP_INDICATOR_BAD	(1.4)

#define	JUMP_INDICATOR_GOOD	(1.1)

#define	JUMP_INDICATOR_ONE	(1.0)


#define	SMALL_REFLEC	(1e-30)


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  class ...
\*============================================================================*/


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/
void
Reflectivity__Compute(const float SolarZenith, const float SunCalibrated[],
		      const float RadianceCalibrated[], 
		      float Reflectivity[], short Begin, short End);

FunctionStatus_e
Reflectivity__Check(const float IntensityGrid1[], 
		    const float Reflectivity1[], short Begin1, short End1, 
		    const float IntensityGrid2[], 
		    const float Reflectivity2[], 
		    short Begin2, short End2, const float IntgTime,
		    int *Result, float Wavelength, const char *PixelDate);


/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif

