/*----------------------------------------------------------------------------*\
**                                ScienceData.h
**
**  Class ScienceData_e declaration
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _ScienceData_h
#define _ScienceData_h

#pragma ident "@(#)ScienceData.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include "defs.h"

/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/

#define	SCIENCE_DATA_DEFINED	(BAND_DEFINED + 1 + STRAYLIGHT_DEFINED)


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/
typedef enum { 
    BAND_1A = 0,
    BAND_1B,
    BAND_2A,
    BAND_2B,
    BAND_3,
    BAND_4,
    BLIND_1A,
    STRAYLIGHT_1A,
    STRAYLIGHT_1B,
    STRAYLIGHT_2A
} ScienceData_e;

typedef enum { 
    OPTICAL_CH_1 = 0,
    OPTICAL_CH_2,
    OPTICAL_CH_3,
    OPTICAL_CH_4
} OpticalChannel_e;


/*============================================================================*\
**  class ...
\*============================================================================*/


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------*\
**  Function to convert a ScienceData enumerator to an OpticalChannel enumerator
\*----------------------------------------------------------------------------*/
OpticalChannel_e
Band2Channel(ScienceData_e ScienceData);

const char*
ScienceData2Str(ScienceData_e Enum);


/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif
 
