/*----------------------------------------------------------------------------*\
**                                Science.h
**
**  Class Science declaration
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _Science_h
#define _Science_h

#pragma ident "@(#)Science.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include "defs.h"
#include "sys.h"


/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/

#define	SCIENCE_STAT_SIZE	(SHORT_SIZE + SHORT_SIZE + SHORT_SIZE + SHORT_SIZE)

#define	SCIENCE_DATA_ENTRY_SIZE	(SHORT_SIZE)


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  class ...
\*============================================================================*/
typedef struct Science {
    short Flag;			/* Quality Flags */
				/* Bit 8-7 Spectral check, 
				   Bit 6-5 Saturated pixels, 
				   Bit 4-3 Hot pixels, 
				   Bit 2-1 Dead pixels */
    short CalibrationIndx;	/* Index to Ground Pixel Specific Calibration 
				   Parameters Record */
    short KeyDataCalibrationIndx; /* Index to Pre-flight Calibration 
				     Parameters */
    GOME_Word_t IntgTime;	/* Integration Time */
    GOME_Word_t *Data;		/* Array Data Record */
} Science_s;


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/
FunctionStatus_e
Science__read(Science_s* self, FILE* Stream, long DataSize, 
	      Bool convert_sun_2_host);

void
Science__show(const Science_s* self, FILE* Stream, long DataSize);



/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif
 
