/*----------------------------------------------------------------------------*\
**                                SDH.h
**
**  Class SDH declaration
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _SDH_h
#define _SDH_h 

#pragma ident "@(#)SDH.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include "defs.h"
#include "timecor.h"
#include "stattorc.h"
#include "pir.h"


/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/

#define	SDH_DATA_SET_TYPE__SIZE	(5)

#define	SDH_STATIC__SIZE	(SDH_DATA_SET_TYPE__SIZE + 2 + LEVEL_1_PRODUCT_VERSION_SIZE + TIME_COR_SIZE + STATE_VECTOR_SIZE + 2)


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  class SDH
\*============================================================================*/
typedef struct SDH {
    char DataSetType[ SDH_DATA_SET_TYPE__SIZE];
    short Nref;
    char (*PIR_Of_SDH) [PIR_SIZE];
    char SoftwareVersion[ LEVEL_1_PRODUCT_VERSION_SIZE];
    TimeCor_s TimeCor;
    StateVectorC_s StateVector;
    short Nraw;
} SDH_s;


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/
FunctionStatus_e
SDH__generate( SDH_s *self, const char* DataSetType, unsigned long OrbitNumber,
               short NrOfFiles, const char* SoftwareVersion, const TimeCor_s* TimeCor,
               const StateVectorC_s* StateVector, const char* ProductType,
               const char** ProcessingInfo);

FunctionStatus_e
SDH__Write( FILE * Stream, const SDH_s *Param);

FunctionStatus_e
SDH__read(SDH_s *self,  FILE* Stream, Bool convert_sun_2_host);

void
SDH__show(const SDH_s *self,  FILE* Stream);



/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif
 
