/*----------------------------------------------------------------------------*\
**                                Specific.h
**
**  Class Specific declaration
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _Specific_h
#define _Specific_h

#pragma ident "@(#)Specific.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include "geolionc.h"
#include "polaionc.h"


/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  class Specific_u
\*============================================================================*/
typedef struct EarthSpecific {
    GeolocationC_s Geolocation;
    PolarizationC_s PolarizationPar;
} EarthSpecific_s;

typedef struct SunSpecific {
    PosAngle_s SunAngle;
    PosAngle_s BSDF_Angle;
    Bool UseInReference;
} SunSpecific_s;

typedef struct MoonSpecific {
    PosAngle_s SunAngle;
    PosAngle_s MoonAngle;
    float IlluminatedFraction;
} MoonSpecific_s;

typedef union {
    EarthSpecific_s Earth;
    SunSpecific_s Sun;
    MoonSpecific_s Moon;
} Specific_u;


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif
 
