/*----------------------------------------------------------------------------*\
**                                SPH.h
**
**  Class SPH (specific product header of level 0 tape) declaration
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _SPH_h
#define _SPH_h 

#pragma ident "@(#)SPH.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include "defs.h"
#include "sys.h"


/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/

#define	SPH_SIZE	(304)

#define	SPH_DSR_PADDED_FLAG_ENTRY	(282)

#define	SPH_5_ENTRY	(282)

#define	SPH_5_SIZE	(1)

#define	SPH_6_ENTRY	(283)

#define	SPH_6_SIZE	(20)


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  class ...
\*============================================================================*/


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/
FunctionStatus_e
SPH__write(const char SPH[SPH_SIZE], FILE* Stream);

FunctionStatus_e
SPH__read(char SPH[SPH_SIZE], FILE* Stream);

void
SPH__extract(char SPH[SPH_SIZE], char SPH_5_6[SPH_5_SIZE + SPH_6_SIZE]);


/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif
 
