/*----------------------------------------------------------------------------*\
**                                Sys.h
**
**  Class Sys declaration
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _Sys_h
#define _Sys_h 

#pragma ident "@(#)Sys.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include "defs.h"


/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/
typedef enum 
{
    INFO,
    WARN,
    SUCCESS,
    ERROR,
    FATAL
} FunctionStatus_e;


/*============================================================================*\
**  class ...
\*============================================================================*/


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/
Bool
Sys__GetHostName(char *Hostname, size_t MaxSize);

Bool
Sys__GetHostId(unsigned long *HostId);

Bool
Sys__GetPid(long *Pid);

Bool
Sys__GetDate(char *Date, size_t MaxSize);

void
terminateExecution(char* log_file_name);

const char*
FunctionStatus2Str(FunctionStatus_e Enum);


/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif
