/*----------------------------------------------------------------------------*\
**                                TimeCor.h
**
**  Class TimeCor declaration
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _TimeCor_h
#define _TimeCor_h

#pragma ident "@(#)TimeCor.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include "defs.h"
#include "utc.h"


/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/
/* static const short TIME_COR_SIZE = 20; */

#define	TIME_COR_ORBIT_NUMBER_SIZE	(LONG_SIZE)

#define	TIME_COR_SBT_SIZE	(LONG_SIZE)

#define	TIME_COR_SBT_PERIOD	(LONG_SIZE)

#define	TIME_COR_SIZE	(TIME_COR_ORBIT_NUMBER_SIZE + UTC_SIZE + TIME_COR_SBT_SIZE + TIME_COR_SBT_PERIOD)


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  class ...
\*============================================================================*/
typedef struct TimeCor {
    unsigned long OrbitNumber;
    UTC_s UTC;			/* Reference UTC time of time correlation */
    unsigned long SBT;		/* Satelite binary counter corresponding to
				   the utc */
    unsigned long SBT_Period;	/* Satelite time periode in nanosec. */
} TimeCor_s;


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/
FunctionStatus_e
TimeCor__read(TimeCor_s* self, FILE* file_ptr, Bool convert_sun_2_host);

FunctionStatus_e
TimeCor__write(const TimeCor_s *TimeCor, FILE* Stream);

void
TimeCor__show(const TimeCor_s *TimeCor, FILE * Stream);


/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif
 
