/*----------------------------------------------------------------------------*\
**                                %M%
**
**  Description:
** 
**  Version:    %I%
**  Date:       %G%
**  Contents:
**      This file contains the following functions and methods:
\*----------------------------------------------------------------------------*/
#pragma ident "%W% %G%, Copyright DLR 1998"



#define	SccsId	("%W% %G%, Copyright DLR 1998")


#define	SS_ID	("utils")


#include <stdlib.h>
#include <math.h>
#include <stdlib.h>
#include <string.h>
#include "utils.h"
 
 
/*----------------------------------------------------------------------------*\
**                             round_f
**  Input parameters:
**    Value to round
**    Precision
**  Output parameters:
**    <none>
**  Other interfaces:
**    <none>
**  Description:
**    Rounds value to the given Precision
**  References:
**    <none>
**  Libraries:
**    <none>
**  Created:    16.6.95
**  Author:             Diego Loyola, DLR/WT-DA-SE
\*----------------------------------------------------------------------------*/
float
round_f(float Value, float Precision)
{
    return (float)((long)((Value + Precision/2) / Precision)) * Precision;
}
 
 
 
/*----------------------------------------------------------------------------*\
**                             round_d
**  Input parameters:
**    Value to round
**    Precision
**  Output parameters:
**    <none>
**  Other interfaces:
**    <none>
**  Description:
**    Rounds value to the given Precision
**  References:
**    <none>
**  Libraries:
**    <none>
**  Created:    16.6.95
**  Author:             Diego Loyola, DLR/WT-DA-SE
\*----------------------------------------------------------------------------*/
double
round_d(double Value, double Precision)
{
    return (double)((long)((Value + Precision/2) / Precision)) * Precision;
}
 
/*----------------------------------------------------------------------------*\
**                             count_words_in_string
**  Input parameters:
**    char* line
**  Output parameters:
**    int number of words in char* line
**  Other interfaces:
**    <none>
**  Description:
**    counts number of words separated by space characters in char* line
**  References:
**    <none>
**  Libraries:
**    <none>
**  Created:    22.1.04
**  Author:             Bernd Aberle, DLR/IMF-AP
\*----------------------------------------------------------------------------*/
int
count_words_in_string(char* line1)
{
  int n_tokens = 0;
  char* line;
  char* tmpline;
  
  line = (char*) malloc(strlen(line1) + 1);
  strcpy(line, line1);
  tmpline = strtok(line, " \t");
	while (tmpline != NULL)
	{
    /* printf("tmpline : %s\n", tmpline); */
		tmpline = strtok(NULL, " \t");
    n_tokens++;
	}
  free(line);
  return n_tokens;
}


#ifdef __MSDOS__
static char *ABS_FILE_FMT 		= "%s\\%s\\%s\\%s";
static char *GDP_ENVIRONMENT_NAME	= "GDP_PATH";
static char *GDP_STATIC_PATH		= "c:\\gdp";
static char *GDP_LEVEL_0_1_SUBDIR	= "level01";
static char *GDP_LEVEL_1_2_SUBDIR	= "level12";
static char *GDP_VENI_SUBDIR		= "veni";
#else
static char *ABS_FILE_FMT 		= "%s/%s/%s/%s";
static char *GDP_ENVIRONMENT_NAME	= "GDP_PATH";
static char *GDP_STATIC_PATH		= "/usr/local/GDP";
static char *GDP_LEVEL_0_1_SUBDIR	= "level_0_to_1";
static char *GDP_LEVEL_1_2_SUBDIR	= "level_1_to_2";
static char *GDP_VENI_SUBDIR		= "veni";
#endif

/*----------------------------------------------------------------------------*\
**                                AbsolutePath
**  Input parameters:
**	Level		:	enumerator for level to which file belongs
**	Directory	:	subdirectory beneath level root directory 
**	FileName	:	relative filename of file to be acessed
**  Output parameters:
**    
**  Other interfaces:
**   
**  Description:
**	When function is entered for the first time the environment is checked if 
**	it contains the GDP_PATH variable. If so the absolute acess path of the
**	GDP directory is set to the value of the variable ,if not it is set to the
**	static value GDP_STATIC_PATH. Then the subdirectory and the input filename
**	are added the the acess path and the absolute pathname of the input filename
**	is returned.If subdirectory is a NULL pointer only the acess path of the GDP 
**	directory is returned.
**	The use of a statice variable to contain acess path enabels the
**	reuse of this variable every new call of thi function without scaning the
**	environment again.
**
**  References:
**    
**  Libraries:
**   
**  Created:	24.2.94
**  Author:	Thomas Ruppert, DLR/WT-DA-BS
\*----------------------------------------------------------------------------*/
char*
AbsolutePath(GDP_Level_e Level, const char *Directory, const char *FileName)
{
    static char* AbsPath = NULL;
    static char AbsFile[MAX_FILENAME_LENGTH];
    char *SubDir;


    /*-------------------------------------------------------------------*\
    ** if function is eneterd for the first time check if GDP path is
    ** set in environment or if the static name is to be used
    \*--------------------------------------------------------------------*/
    if (AbsPath == NULL)  
    {
	AbsPath = getenv(GDP_ENVIRONMENT_NAME);

	if (AbsPath == NULL) 
	{		
	    AbsPath = GDP_STATIC_PATH;
	}
    }


    /*-------------------------------------------------------------------*\
    ** select subdirectory name according to Level enumerator
    \*--------------------------------------------------------------------*/
    switch (Level) 
    {
    case LEVEL_0_TO_1 :
	{
	    SubDir = GDP_LEVEL_0_1_SUBDIR;
	    break;
	}
    case LEVEL_1_TO_2 :
	{
	    SubDir = GDP_LEVEL_1_2_SUBDIR;
	    break;
	}
    case VENI :
	{
	    SubDir = GDP_VENI_SUBDIR;
	    break;
	}
    default:
	break;
    }


    /*-------------------------------------------------------------------*\
    ** if Directory is NULL return acess path only if not concatenate all 
    ** parts accordig to format statement ABS_FILE_FMT ( use '/' on SUN
    ** and '\' on PC
    \*--------------------------------------------------------------------*/
    if (Directory == NULL)
    {
	strcpy(AbsFile, AbsPath);
    }
    else
    {
	sprintf(AbsFile, ABS_FILE_FMT, AbsPath, SubDir, Directory, FileName);
    }

    return(AbsFile);
}


