/*----------------------------------------------------------------------------*\
**                                wat2phot.h
**
**  Description:
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _watt_photon_h
#define _watt_photon_h

#pragma ident "@(#)wat2phot.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/

#define	CONV_FACTOR	(5.034036e15 / 1e7)


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  Watt <-> Photon conversion functions
\*----------------------------------------------------------------------------*/
float Watt2Photon(float Watt, float Wavelength);
float Photon2Watt(float Photon, float Wavelength);
const char *PhotonUnits__Get();
const char *WattUnits__Get();



#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif
